from setuptools import find_packages, setup

package_name = 'simple_robot_2dof'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        ('share/' + package_name + '/launch', ['launch/kuka_rviz_simulation_2dof_simultaneous_launch.py']),
        ('share/' + package_name + '/launch', ['launch/kuka_rviz_simulation_2dof_sequential_launch.py']),
        ('share/' + package_name + '/rviz', ['rviz/forward_kinematics_simulations.rviz']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='ventsi',
    maintainer_email='ventsi@todo.todo',
    description='TODO: Package description',
    license='Apache-2.0',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'forward_kinematics_node_2dof_1 = simple_robot_2dof.forward_kinematics_node_2dof_1:main',
            'forward_kinematics_node_2dof_2 = simple_robot_2dof.forward_kinematics_node_2dof_2:main',
            'reference_node_2dof = simple_robot_2dof.reference_node_2dof:main',
        ],
    },
)
